#!/bin/bash

if [ $# != 4 ] ; then 
  echo "Usage: ./testClassifier.sh file_name classifier_type output_filename num_doc(-a = all -test = 100)" 1>&2
  exit 1
fi

folder_name=$1
classifier_type=$2
output_filename=$3
num_doc=$4
i=0
case "$4" in
	-all)
		#Runs javaImageClassifier on ALL images
		for file_name in $folder_name/*/*.png; do
			echo $file_name
			echo $output_filename
			echo $i
			echo ""
			java -cp /Scratch/cpb16/opencv-3.4.2/build/bin/opencv-342.jar:. -Djava.library.path=/Scratch/cpb16/opencv-3.4.2/build/lib/  javaImageClassifier $file_name $classifier_type $output_filename
			i=$[$i+1]
		done
		;;
	-test)
		#Runs javaImageClassifier on 100 images
		for file_name in $folder_name/*/*.png; do
		if [ $i -lt 200 ] ; then
			echo $file_name
			echo $output_filename
			echo $i
			echo ""
			java -cp /Scratch/cpb16/opencv-3.4.2/build/bin/opencv-342.jar:. -Djava.library.path=/Scratch/cpb16/opencv-3.4.2/build/lib/  javaImageClassifier $file_name $classifier_type $output_filename
			i=$[$i+1]
		else
			exit 0
		fi		
		done
		;;
	-small)
		#Runs javaImageClassifier on 100 images
		for file_name in $folder_name/*/*.png; do
		if [ $i -lt 50 ] ; then
			echo $file_name
			echo $output_filename
			echo $i
			echo ""
			java -cp /Scratch/cpb16/opencv-3.4.2/build/bin/opencv-342.jar:. -Djava.library.path=/Scratch/cpb16/opencv-3.4.2/build/lib/  javaImageClassifier $file_name $classifier_type $output_filename
			i=$[$i+1]
		else
			exit 0
		fi		
		done
		;;
esac		
